This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 435272 - nautilus search doesn't use beagle
nautilus search doesn't use beagle
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-02-28 08:59 EST by sangu
Modified: 2015-03-03 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-05 00:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-02-28 08:59:01 EST
Description of problem:
nautilus search doesn't use beagle.

Search "gnome" in nautilus
$beagled --fg --debug
[...]
No response

Search "gnome" in gtkfilechoosr
$beagled --fg --debug
[....]
Debug: Parsed query 'gnoem' as text_query
Debug: Parsed query 'type:File' as prop query:key=beagle:HitType, value=File and
property type=Keyword

Version-Release number of selected component (if applicable):
2.21.92-2.fc9

How reproducible:
always

Steps to Reproduce:
1. ctrl + fon nautilus
2. query  
3.
  
Actual results:


Expected results:


Additional info:
See also :
bug 434722
API changes in libbeagle application :
http://www.mail-archive.com/dashboard-hackers%40gnome.org/msg04051.html
libbeagle-0.3.0-4.fc9.i386
beagle-0.3.3-8.fc9.i386
Comment 1 Matthias Clasen 2008-03-17 11:49:33 EDT
We should make sure that both the beagle and tracker support actually work, in
nautilus and the file chooser.
Comment 2 Jesse Keating 2008-04-01 17:49:01 EDT
(In reply to comment #1)
> We should make sure that both the beagle and tracker support actually work, in
> nautilus and the file chooser.

Do you think we can get that done in the next few days before the final freeze?
Comment 3 Matthias Clasen 2008-04-02 10:27:43 EDT
I've fixed this now.
Comment 4 sangu 2008-04-04 08:56:12 EDT
Search in nautilus-2.22.1-3.
 $ beagled --fg --debug 
[...]
No response


Comment 5 Matthias Clasen 2008-04-05 00:26:42 EDT
Unrelated issue, also fixed now.

Note You need to log in before you can comment on or make changes to this bug.